Summary:	Ruby bindings for augeas
Summary(pl.UTF-8):	Wiązania języka Ruby do augeasa
Name:		ruby-augeas
Version:	0.5.0
Release:	6
License:	LGPL v2.1+
Source0:	http://download.augeas.net/ruby/%{name}-%{version}.tgz
# Source0-md5:	a132eace43ce13ccd059e22c0b1188ac
Group:		Development/Languages
URL:		http://augeas.net/
BuildRequires:	augeas-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.1
BuildRequires:	ruby-rake
BuildRequires:	sed >= 4.0
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby bindings for augeas.

%description -l pl.UTF-8
Wiązania języka Ruby do augeasa.

%prep
%setup -q

%{__sed} -i -e 's@"make"@"%{__make} CC=\\"%{__cc}\\" CFLAGS=\\"%{rpmcflags} -fPIC $(pkg-config --cflags augeas)\\""@' Rakefile

%build
rake build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_archdir}}

cp -p lib/augeas.rb $RPM_BUILD_ROOT%{ruby_archdir}
cp -p ext/augeas/_augeas.so $RPM_BUILD_ROOT%{ruby_rubylibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.rdoc
%attr(755,root,root) %{ruby_rubylibdir}/_augeas.so
%{ruby_archdir}/augeas.rb
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-augeas.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> e2f5c5c
- release 6 (by relup.sh)

* Thu Jun 07 2018 Jan Rękorajski <baggins@pld-linux.org> ba60bfd
- release 5 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 79ae424
- rebuild with ruby 2.3
- release 4 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> b21c880
- ruby 2.1 rebuild
- release 3 (by relup.sh)

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 4c3b0bd
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 64164ae
- updated to 0.5.0

* Fri Jul 22 2011 Jakub Bogusz <qboosh@pld-linux.org> a5dd0e9
- BRs, cleanup

* Fri Jul 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 055d569
- new

